# core.hpp File Reference

`#include <saga/saga/url.hpp>`
`#include <saga/saga/uuid.hpp>`
`#include <saga/saga/buffer.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/exception.hpp>`
`#include <saga/saga/context.hpp>`
`#include <saga/saga/metric.hpp>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga/task_container.hpp>`
`#include <saga/saga/attribute.hpp>`
`#include <saga/saga/permissions.hpp>`
`#include <saga/saga/autolink.hpp>`

Go to the source code of this file.

## Defines
#define | SAGA_AUTOLINK_LIB_NAME "engine"

## Define Documentation

#define SAGA_AUTOLINK_LIB_NAME "engine"